Authorized Client
9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| exportAuthedClientListGlobalByCloudAccess | POST | Export global authed client list |
| getHotspotAuthedClients | GET | Get authentication record list |
| deleteHotspotAuthedClient | DELETE | Delete given authed record |
| disconnectHotspotAuthedClient | POST | Disconnect authed client |
| extendHotspotAuthedClient | POST | Modify period for given authed record |
| deleteAllInvalidAuthedClients | POST | Delete all invalid authed record |
| authClient | POST | Authentication the given client |
| cancelAuthClient | POST | Cancel authentication the given client |
| getHotspotStatistic | GET | Get hotspot statistic |
exportAuthedClientListGlobalByCloudAccess
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-client-list
Export global authed client list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ExportAuthedClientOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
siteIds | array<string> | no | Site IDs of the authed clients to export. |
format | integer | no | Export authed client format. |
// omada_call_operation
{
"operationId": "exportAuthedClientListGlobalByCloudAccess",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Export global authed client list with the given omadacId, siteId.
The interface requires one of the permissions:
Global Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33000 - This site does not exist.
-34552 - The number of local data export times through Cloud Access within one hour has reached the limit.
getHotspotAuthedClients
GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records
Get authentication record list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.mac | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.ip | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.authType | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.ssidOrNetwork | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.download | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.upload | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.status | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.start | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.end | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.duration | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field client_mac,client_name,voucher.code,local_user.user_name,form_name,auth_admin,ssid_name,network_name |
// omada_call_operation
{
"operationId": "getHotspotAuthedClients",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get all authentication records in a site with the given omadacId, siteId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
Site Insight Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
deleteHotspotAuthedClient
DELETE /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records/{id}
Delete given authed record
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Authed record ID |
// omada_call_operation
{
"operationId": "deleteHotspotAuthedClient",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete the authentication record with the given omadacId, siteId, authClientId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33000 - This site does not exist.
-41018 - Unauth failed, try again when network recover.
disconnectHotspotAuthedClient
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records/{id}/disconnect
**Disconnect authed client **
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Local user ID |
// omada_call_operation
{
"operationId": "disconnectHotspotAuthedClient",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Disconnect the authentication record with the given omadacId, siteId, authClientId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33000 - This site does not exist.
-41018 - Unauth failed, try again when network recover.
extendHotspotAuthedClient
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records/{id}/period
Modify period for given authed record
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Authed record ID |
Request body — application/json (required) — schema ExtendOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
period | integer | yes | Extended timestamp. Unit:ms. Period should be within the range of 60000 to 86400000000000(60s to 1000000days). |
// omada_call_operation
{
"operationId": "extendHotspotAuthedClient",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Extend the valid time of the authentication record with the given omadacId, siteId, authClientId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-44111 - The Grant Type is Invalid.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
-7131 - Controller ID not exist.
deleteAllInvalidAuthedClients
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/authed-records/delete
Delete all invalid authed record
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Delete Filter Info
| Field | Type | Required | Description |
|---|---|---|---|
start | integer | yes | Start timestamp, in seconds, such as 1682000000. |
end | integer | yes | End timestamp, in seconds, such as 1682000000. |
searchKey | string | no | Searching key for clients to delete, Searching by: client mac, client name, ssid name, network name. |
// omada_call_operation
{
"operationId": "deleteAllInvalidAuthedClients",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete all authentication record withs the given omadacId, siteId, authClientId.
The interface requires one of the permissions:
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
authClient
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/clients/{clientMac}/auth
Authentication the given client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC, format: AA-BB-CC-DD-EE-FF. |
// omada_call_operation
{
"operationId": "authClient",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Authentication this client with the given omadacId, siteId, clientMac
The interface requires one of the permissions:
Site Clients Manager Modify
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-41009 - Failed to authorize this client.
-41010 - This client does not exist.
-42003 - This operator does not exist.
-42006 - Failed to log in.
-44111 - The Grant Type is Invalid.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
-7131 - Controller ID not exist.
cancelAuthClient
POST /openapi/v1/{omadacId}/sites/{siteId}/hotspot/clients/{clientMac}/unauth
Cancel authentication the given client
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC |
// omada_call_operation
{
"operationId": "cancelAuthClient",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>"
}
}Details, permissions and error codes
Cancel the authentication of this client with the given omadacId, siteId, clientMac.
The interface requires one of the permissions:
Site Clients Manager Modify
Site Hotspot Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-1200 - You have been logged out of the controller. This may have been caused by web application switching, data restore, reboot, session timeout or disabled cloud access. Please try to log in again later.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-41006 - This client does not exist.
-41017 - Unauth failed because gateway not existed or disconnected.
-41018 - Unauth failed, try again when network recover.
-41019 - The client is being disconnected, please wait...
-44111 - The Grant Type is Invalid.
-44112 - The access token has expired. Please re-initiate the refreshToken process to obtain the access token.
-7131 - Controller ID not exist.
getHotspotStatistic
GET /openapi/v1/{omadacId}/sites/{siteId}/hotspot/dashboard/statistics
Get hotspot statistic
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | no | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | no | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getHotspotStatistic",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get hotspot statistic with the given omadacId and siteId.
The interface requires one of the permissions:
Site Hotspot Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.